---
title: Create new services
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/ip-service/create-new-services/
product: CloudConnexa Docs
---

# Create new services

`POST /api/beta/ip-services/bulk`

## Body parameter

```json
[
  {
    "config": {
      "customServiceTypes": [
        {
          "icmpType": [
            {
              "lowerValue": 0,
              "upperValue": 0,
              "value": 0
            }
          ],
          "port": [
            {
              "lowerValue": 0,
              "upperValue": 0,
              "value": 0
            }
          ],
          "protocol": "ICMP"
        }
      ],
      "serviceTypes": [
        "ANY"
      ]
    },
    "description": "string",
    "name": "string",
    "routes": [
      {
        "description": "string",
        "value": "string"
      }
    ],
    "type": "IP_SOURCE"
  }
]
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| networkItemId | query | string | true | networkItemId |
| networkItemType | query | string | true | networkItemType |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | Inline |
| 201 | [Created](https://tools.ietf.org/html/rfc7231#section-6.3.2) | Entity created | None |
| 400 | [Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1) | Bad Request | None |
| 401 | [Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1) | Unauthorized | None |
| 403 | [Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3) | Access Forbidden | None |
| 404 | [Not Found](https://tools.ietf.org/html/rfc7231#section-6.5.4) | Not Found | None |
| 406 | [Not Acceptable](https://tools.ietf.org/html/rfc7231#section-6.5.6) | Not Acceptable | None |
| 429 | [Too Many Requests](https://tools.ietf.org/html/rfc6585#section-4) | Too Many Requests | None |
| 500 | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Internal Server Error | None |

```json
[
  {
    "config": {
      "customServiceTypes": [
        {
          "icmpType": [
            {
              "lowerValue": 0,
              "upperValue": 0,
              "value": 0
            }
          ],
          "port": [
            {
              "lowerValue": 0,
              "upperValue": 0,
              "value": 0
            }
          ],
          "protocol": "ICMP"
        }
      ],
      "serviceTypes": [
        "ANY"
      ]
    },
    "description": "string",
    "id": "string",
    "name": "string",
    "networkItemId": "string",
    "networkItemType": "HOST",
    "routes": [
      {
        "description": "string",
        "id": "string",
        "parentRouteId": "string",
        "subnet": "string",
        "type": "IP_V4"
      }
    ],
    "type": "IP_SOURCE"
  }
]
```

---

Prev: [Create a new service](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/ip-service/create-a-new-service.md)
Next: [Delete an existing service](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/ip-service/delete-an-existing-service.md)
Index: https://openvpn.net/cloud-docs/llms.txt
